curl --request GET \
--url https://api.cloudcruise.com/workflow-components/{component_id} \
--header 'cc-key: <api-key>'import requests
url = "https://api.cloudcruise.com/workflow-components/{component_id}"
headers = {"cc-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'cc-key': '<api-key>'}};
fetch('https://api.cloudcruise.com/workflow-components/{component_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"component_data": {
"nodes": [
{
"workflowNode": {
"id": "<string>",
"name": "<string>",
"action": "START",
"parameters": {},
"description": "<string>"
},
"position": {
"x": 123,
"y": 123
}
}
],
"workflowEdges": {},
"reactFlowEdges": [
{
"sourceId": "<string>",
"targetId": "<string>",
"sourceHandle": "<string>",
"targetHandle": "<string>"
}
],
"vault_schema": {}
},
"version_number": 2,
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_note": "<string>"
}Get workflow component
Retrieves the latest version of a workflow component, including its full component_data (nodes, edges, vault schema).
To fetch a specific historical version, use GET /workflow-components/{component_id}/versions/{version_number}.
Authorizations
API key-based authentication. Provide your CloudCruise API key in the cc-key header.
Headers
CloudCruise API key for authentication
Path Parameters
The ID of the workflow component
Response
Successful operation
Full workflow component including its latest version's component_data.
Returned by GET /workflow-components/{component_id} and the create endpoint.
Unique identifier for the component
ID of the workspace this component belongs to
Display name of the component
Structural payload for a workflow component: the nodes, edges, and vault schema that compose it. Mirrors the shape used by the workflow visualizer.
Show child attributes
Show child attributes
The latest version number of this component
x >= 1ID of the user who created the component
Optional note describing the latest version's changes
Was this page helpful?

